package cn.yyxx.commsdk.base.internal.feature;

import android.app.Activity;
import android.content.Intent;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public interface ILifeCycle {

    void onStart(Activity activity);

    void onResume(Activity activity);

    void onReStart(Activity activity);

    void onPause(Activity activity);

    void onStop(Activity activity);

    void onActivityResult(Activity activity, int requestCode, int resultCode, Intent data);

    void onNewIntent(Activity activity, Intent intent);
}
